cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IVT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IVT

- All Implemented Interfaces:
    ISegment

      public class IVT
      extends Segment

  IVT - Material Location Segment

  The Material Location segment (IVT) contains information specific to an inventory location for the inventory supply item in the Material Item (ITM) segment.

  Represents an HL7 IVT message segment. This segment has the following fields:

  IVT-1 : Set Id – IVT (SI) Required
  IVT-2 : Inventory Location Identifier(EI) Required
  IVT-3 : Inventory Location Name(ST) Optional
  IVT-4 : Source Location Identifier(EI) Optional
  IVT-5 : Source Location Name(ST) Optional
  IVT-6 : Item Status(CWE) Optional
  IVT-7 : Bin Location Identifier(EI) Optional
  IVT-8 : Order Packaging(CWE) Optional
  IVT-9 : Issue Packaging(CWE) Optional
  IVT-10 : Default Inventory Asset Account(EI) Optional
  IVT-11 : Patient Chargeable Indicator(CNE) Optional
  IVT-12 : Transaction Code(CWE) Optional
  IVT-13 : Transaction Amount - Unit(CP) Optional
  IVT-14 : Item Importance Code(CWE) Optional
  IVT-15 : Stocked Item Indicator (CNE) Optional
  IVT-16 : Consignment Item Indicator(CNE) Optional
  IVT-17 : Reusable Item Indicator(CNE) Optional
  IVT-18 : Reusable Cost(CP) Optional
  IVT-19 : Substitute Item Identifier(EI) Optional
  IVT-20 : Latex-Free Substitute Item Identifier(EI) Optional
  IVT-21 : Recommended Reorder Theory(CWE) Optional
  IVT-22 : Recommended Safety Stock Days(NM) Optional
  IVT-23 : Recommended Maximum Days Inventory(NM) Optional
  IVT-24 : Recommended Order Point(NM) Optional
  IVT-25 : Recommended Order Amount(NM) Optional
  IVT-26 : Operating Room Par Level Indicator(CNE) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IVT()` Constructs the IVT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinLocationIdentifier(EI objBinLocationIdentifier)` Adds the Bin Location Identifier.
    `void` | `addBinLocationIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Adds the Bin Location Identifier.
    `void` | `addSubstituteItemIdentifier(EI objSubstituteItemIdentifier)` Adds the Substitute Item Identifier.
    `void` | `addSubstituteItemIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Adds the Substitute Item Identifier.
    `ISingleCollection<EI>` | `getBinLocationIdentifier()` Retrieves the Bin Location Identifier.
    `CNE` | `getConsignmentItemIndicator()` Retrieves the Consignment Item Indicator.
    `EI` | `getDefaultInventoryAssetAccount()` Retrieves the Default Inventory Asset Account.
    `EI` | `getInventoryLocationIdentifier()` Retrieves the Inventory Location Identifier.
    `ST` | `getInventoryLocationName()` Retrieves the Inventory Location Name.
    `CWE` | `getIssuePackaging()` Retrieves the Issue Packaging.
    `CWE` | `getItemImportanceCode()` Retrieves the Item Importance Code.
    `CWE` | `getItemStatus()` Retrieves the Item Status.
    `EI` | `getLatexFreeSubstituteItemIdentifier()` Retrieves the Latex-Free Substitute Item Identifier.
    `CNE` | `getOperatingRoomParLevelIndicator()` Retrieves the Operating Room Par Level Indicator.
    `CWE` | `getOrderPackaging()` Retrieves the Order Packaging.
    `CNE` | `getPatientChargeableIndicator()` Retrieves the Patient Chargeable Indicator.
    `NM` | `getRecommendedMaximumDaysInventory()` Retrieves the Recommended Maximum Days Inventory.
    `NM` | `getRecommendedOrderAmount()` Retrieves the Recommended Order Amount.
    `NM` | `getRecommendedOrderPoint()` Retrieves the Recommended Order Point.
    `CWE` | `getRecommendedReorderTheory()` Retrieves the Recommended Reorder Theory.
    `NM` | `getRecommendedSafetyStockDays()` Retrieves the Recommended Safety Stock Days.
    `CP` | `getReusableCost()` Retrieves the Reusable Cost.
    `CNE` | `getReusableItemIndicator()` Retrieves the Reusable Item Indicator.
    `SI` | `getSetID_IVT()` Retrieves the Set Id – IVT.
    `EI` | `getSourceLocationIdentifier()` Retrieves the Source Location Identifier.
    `ST` | `getSourceLocationName()` Retrieves the Source Location Name.
    `CNE` | `getStockedItemIndicator()` Retrieves the Stocked Item Indicator.
    `ISingleCollection<EI>` | `getSubstituteItemIdentifier()` Retrieves the Substitute Item Identifier.
    `CP` | `getTransactionAmountUnit()` Retrieves the Transaction Amount - Unit.
    `CWE` | `getTransactionCode()` Retrieves the Transaction Code.
    `void` | `setBinLocationIdentifier(ISingleCollection<EI> objBinLocationIdentifierList)` Set the Bin Location Identifier.
    `void` | `setConsignmentItemIndicator(CNE objConsignmentItemIndicator)` Set the Consignment Item Indicator.
    `void` | `setConsignmentItemIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consignment Item Indicator.
    `void` | `setDefaultInventoryAssetAccount(EI objDefaultInventoryAssetAccount)` Set the Default Inventory Asset Account.
    `void` | `setDefaultInventoryAssetAccount(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Default Inventory Asset Account.
    `void` | `setInventoryLocationIdentifier(EI objInventoryLocationIdentifier)` Set the Inventory Location Identifier.
    `void` | `setInventoryLocationIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Inventory Location Identifier.
    `void` | `setInventoryLocationName(ST objInventoryLocationName)` Set the Inventory Location Name.
    `void` | `setInventoryLocationName(java.lang.String strInventoryLocationName)` Set the Inventory Location Name.
    `void` | `setIssuePackaging(CWE objIssuePackaging)` Set the Issue Packaging.
    `void` | `setIssuePackaging(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Issue Packaging.
    `void` | `setItemImportanceCode(CWE objItemImportanceCode)` Set the Item Importance Code.
    `void` | `setItemImportanceCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Importance Code.
    `void` | `setItemStatus(CWE objItemStatus)` Set the Item Status.
    `void` | `setItemStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Status.
    `void` | `setLatexFreeSubstituteItemIdentifier(EI objLatexFreeSubstituteItemIdentifier)` Set the Latex-Free Substitute Item Identifier.
    `void` | `setLatexFreeSubstituteItemIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Latex-Free Substitute Item Identifier.
    `void` | `setOperatingRoomParLevelIndicator(CNE objOperatingRoomParLevelIndicator)` Set the Operating Room Par Level Indicator.
    `void` | `setOperatingRoomParLevelIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Operating Room Par Level Indicator.
    `void` | `setOrderPackaging(CWE objOrderPackaging)` Set the Order Packaging.
    `void` | `setOrderPackaging(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Order Packaging.
    `void` | `setPatientChargeableIndicator(CNE objPatientChargeableIndicator)` Set the Patient Chargeable Indicator.
    `void` | `setPatientChargeableIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Chargeable Indicator.
    `void` | `setRecommendedMaximumDaysInventory(NM objRecommendedMaximumDaysInventory)` Set the Recommended Maximum Days Inventory.
    `void` | `setRecommendedMaximumDaysInventory(java.lang.String strRecommendedMaximumDaysInventory)` Set the Recommended Maximum Days Inventory.
    `void` | `setRecommendedOrderAmount(NM objRecommendedOrderAmount)` Set the Recommended Order Amount.
    `void` | `setRecommendedOrderAmount(java.lang.String strRecommendedOrderAmount)` Set the Recommended Order Amount.
    `void` | `setRecommendedOrderPoint(NM objRecommendedOrderPoint)` Set the Recommended Order Point.
    `void` | `setRecommendedOrderPoint(java.lang.String strRecommendedOrderPoint)` Set the Recommended Order Point.
    `void` | `setRecommendedReorderTheory(CWE objRecommendedReorderTheory)` Set the Recommended Reorder Theory.
    `void` | `setRecommendedReorderTheory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Recommended Reorder Theory.
    `void` | `setRecommendedSafetyStockDays(NM objRecommendedSafetyStockDays)` Set the Recommended Safety Stock Days.
    `void` | `setRecommendedSafetyStockDays(java.lang.String strRecommendedSafetyStockDays)` Set the Recommended Safety Stock Days.
    `void` | `setReusableCost(CP objReusableCost)` Set the Reusable Cost.
    `void` | `setReusableCost(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Reusable Cost.
    `void` | `setReusableItemIndicator(CNE objReusableItemIndicator)` Set the Reusable Item Indicator.
    `void` | `setReusableItemIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Reusable Item Indicator.
    `void` | `setSetId_IVT(SI objSetId_IVT)` Set the Set Id – IVT.
    `void` | `setSetId_IVT(java.lang.String strSetId_IVT)` Set the Set Id – IVT.
    `void` | `setSourceLocationIdentifier(EI objSourceLocationIdentifier)` Set the Source Location Identifier.
    `void` | `setSourceLocationIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Source Location Identifier.
    `void` | `setSourceLocationName(ST objSourceLocationName)` Set the Source Location Name.
    `void` | `setSourceLocationName(java.lang.String strSourceLocationName)` Set the Source Location Name.
    `void` | `setStockedItemIndicator(CNE objStockedItemIndicator)` Set the Stocked Item Indicator.
    `void` | `setStockedItemIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Stocked Item Indicator.
    `void` | `setSubstituteItemIdentifier(ISingleCollection<EI> objSubstituteItemIdentifierList)` Set the Substitute Item Identifier.
    `void` | `setTransactionAmountUnit(CP objTransactionAmountUnit)` Set the Transaction Amount - Unit.
    `void` | `setTransactionAmountUnit(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Transaction Amount - Unit.
    `void` | `setTransactionCode(CWE objTransactionCode)` Set the Transaction Code.
    `void` | `setTransactionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transaction Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IVT

          public IVT()

      Constructs the IVT segment.

  - ### Method Detail

    - #### getSetID_IVT

          public SI getSetID_IVT()

      Retrieves the Set Id – IVT. This field contains a sequential number that identifies this segment within a given Material Location segment group.
      Returns:
        SI - setID_IVT

    - #### getInventoryLocationIdentifier

          public EI getInventoryLocationIdentifier()

      Retrieves the Inventory Location Identifier. This field contains the code identifying an inventory supply location that stocks or purchases this item.
      Returns:
        EI - inventoryLocationIdentifier

    - #### getInventoryLocationName

          public ST getInventoryLocationName()

      Retrieves the Inventory Location Name. This field contains the name of the inventory supply location identified in IVT-2
      Returns:
        ST - inventoryLocationName

    - #### getSourceLocationIdentifier

          public EI getSourceLocationIdentifier()

      Retrieves the Source Location Identifier. This field contains the code identifying the source location that purchases and stocks items in addition to filling supply requests for the location specified in IVT-2, Inventory Location Identifier.
      Returns:
        EI - sourceLocationIdentifier

    - #### getSourceLocationName

          public ST getSourceLocationName()

      Retrieves the Source Location Name. This field contains the name of the source supply location identified in IVT-4, Source Location Identifier.
      Returns:
        ST - sourceLocationName

    - #### getItemStatus

          public CWE getItemStatus()

      Retrieves the Item Status. This field contains the status that applies to the inventory supply item for the inventory location specified in IVT-2.
      Returns:
        CWE - itemStatus

    - #### getBinLocationIdentifier

          public ISingleCollection<EI> getBinLocationIdentifier()

      Retrieves the Bin Location Identifier. A unique code assigned to a bin location located within the inventory location in IVT-2, where the inventory supply item may be stored.
      Returns:
        ISingleCollection - binLocationIdentifier

    - #### getOrderPackaging

          public CWE getOrderPackaging()

      Retrieves the Order Packaging. This field contains the primary packaging unit by which the item can be requisitioned or ordered to replenish the inventory supply item for the corresponding inventory location specified in IVT-2.
      Returns:
        CWE - orderPackaging

    - #### getIssuePackaging

          public CWE getIssuePackaging()

      Retrieves the Issue Packaging. This field contains the primary issue packaging unit by which the inventory supply item can be issued to departments or other locations by the corresponding inventory location specified in IVT-2.
      Returns:
        CWE - issuePackaging

    - #### getDefaultInventoryAssetAccount

          public EI getDefaultInventoryAssetAccount()

      Retrieves the Default Inventory Asset Account. This field contains the general ledger number for the default inventory asset account used in journal transactions associated with items stored in this inventory location.
      Returns:
        EI - defaultInventoryAssetAccount

    - #### getPatientChargeableIndicator

          public CNE getPatientChargeableIndicator()

      Retrieves the Patient Chargeable Indicator. This field indicates whether the item is patient chargeable at this inventory location.
      Returns:
        CNE - patientChargeableIndicator

    - #### getTransactionCode

          public CWE getTransactionCode()

      Retrieves the Transaction Code. This field contains a code that is used by a billing system to charge for the inventory supply item, the descriptive name of the patient charge for that system (as it may appear on a patient's bill or charge labels) and the name of the coding system that assigned the charge code.
      Returns:
        CWE - transactionCode

    - #### getTransactionAmountUnit

          public CP getTransactionAmountUnit()

      Retrieves the Transaction Amount - Unit. The price that a department charges to a patient for this inventory supply item when using the Patient Charge Billing code present in this segment.
      Returns:
        CP - transactionAmountUnit

    - #### getItemImportanceCode

          public CWE getItemImportanceCode()

      Retrieves the Item Importance Code. This field contains an indicator of the level of importance of an item considered for this inventory location, such as an indicator signifying whether the item is considered critical for this inventory location.
      Returns:
        CWE - itemImportanceCode

    - #### getStockedItemIndicator

          public CNE getStockedItemIndicator()

      Retrieves the Stocked Item Indicator. This field contains an indicator that identifies whether the item is regularly stocked in this inventory location.
      Returns:
        CNE - stockedItemIndicator

    - #### getConsignmentItemIndicator

          public CNE getConsignmentItemIndicator()

      Retrieves the Consignment Item Indicator. This field contains an indicator signifying whether the inventory supply item is purchased on consignment.
      Returns:
        CNE - consignmentItemIndicator

    - #### getReusableItemIndicator

          public CNE getReusableItemIndicator()

      Retrieves the Reusable Item Indicator. This field contains an indicator signifying that the inventory supply item is reusable, for example, after sterilization.
      Returns:
        CNE - reusableItemIndicator

    - #### getReusableCost

          public CP getReusableCost()

      Retrieves the Reusable Cost. This field contains the issue cost charged to a department or patient for a reusable item.
      Returns:
        CP - reusableCost

    - #### getSubstituteItemIdentifier

          public ISingleCollection<EI> getSubstituteItemIdentifier()

      Retrieves the Substitute Item Identifier. The substitute item is an item that is recommended as a substitute for the corresponding item in ITM-1.
      Returns:
        ISingleCollection - substituteItemIdentifier

    - #### getLatexFreeSubstituteItemIdentifier

          public EI getLatexFreeSubstituteItemIdentifier()

      Retrieves the Latex-Free Substitute Item Identifier. The latex-free substitute item is an item that is latex-free, recommended as a substitute for the corresponding item in the ITM-1 segment when a latex-free item is needed.
      Returns:
        EI - latexFreeSubstituteItemIdentifier

    - #### getRecommendedReorderTheory

          public CWE getRecommendedReorderTheory()

      Retrieves the Recommended Reorder Theory. This field contains the method used to calculate a recommendation for when and how much of an inventory supply item to reorder.
      Returns:
        CWE - recommendedReorderTheory

    - #### getRecommendedSafetyStockDays

          public NM getRecommendedSafetyStockDays()

      Retrieves the Recommended Safety Stock Days. This field contains the number of days for stock to be kept on-hand to cushion against a stock-out for this item.
      Returns:
        NM - recommendedSafetyStockDays

    - #### getRecommendedMaximumDaysInventory

          public NM getRecommendedMaximumDaysInventory()

      Retrieves the Recommended Maximum Days Inventory. This field contains the maximum number of days of inventory to have on-hand at any one point in time.
      Returns:
        NM - recommendedMaximumDaysInventory

    - #### getRecommendedOrderPoint

          public NM getRecommendedOrderPoint()

      Retrieves the Recommended Order Point. This field contains the on-hand quantity referencing the recommended level of inventory at which the item should be re-ordered.
      Returns:
        NM - recommendedOrderPoint

    - #### getRecommendedOrderAmount

          public NM getRecommendedOrderAmount()

      Retrieves the Recommended Order Amount. This field contains the quantity that the system should recommend to order when the on-hand quantity is equal to or less than the reorder point.
      Returns:
        NM - recommendedOrderAmount

    - #### getOperatingRoomParLevelIndicator

          public CNE getOperatingRoomParLevelIndicator()

      Retrieves the Operating Room Par Level Indicator. This field contains an indicator that determines whether on-hands inventory will be decremented when performing Preference List Issues.
      Returns:
        CNE - operatingRoomParLevelIndicator

    - #### setSetId_IVT

          public void setSetId_IVT(java.lang.String strSetId_IVT)

      Set the Set Id – IVT. This field contains a sequential number that identifies this segment within a given Material Location segment group.
      Parameters:
        `strSetId_IVT` - Specifies Set Id - IVT

    - #### setSetId_IVT

          public void setSetId_IVT(SI objSetId_IVT)

      Set the Set Id – IVT. This field contains a sequential number that identifies this segment within a given Material Location segment group.
      Parameters:
        `objSetId_IVT` - Specifies Set Id - IVT

    - #### setInventoryLocationIdentifier

          public void setInventoryLocationIdentifier(java.lang.String strEntityIdentifier,
                                            java.lang.String strNamespaceId,
                                            java.lang.String strUniversalId,
                                            java.lang.String strUniversalIdType)

      Set the Inventory Location Identifier. This field contains the code identifying an inventory supply location that stocks or purchases this item.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setInventoryLocationIdentifier

          public void setInventoryLocationIdentifier(EI objInventoryLocationIdentifier)

      Set the Inventory Location Identifier. This field contains the code identifying an inventory supply location that stocks or purchases this item.
      Parameters:
        `objInventoryLocationIdentifier` - Object of Inventory Location Identifier

    - #### setInventoryLocationName

          public void setInventoryLocationName(java.lang.String strInventoryLocationName)

      Set the Inventory Location Name. This field contains the name of the inventory supply location identified in IVT-2
      Parameters:
        `strInventoryLocationName` - Used as Inventory Location Name.

    - #### setInventoryLocationName

          public void setInventoryLocationName(ST objInventoryLocationName)

      Set the Inventory Location Name. This field contains the name of the inventory supply location identified in IVT-2
      Parameters:
        `objInventoryLocationName` - Object of Inventory Location Name.

    - #### setSourceLocationIdentifier

          public void setSourceLocationIdentifier(java.lang.String strEntityIdentifier,
                                         java.lang.String strNamespaceId,
                                         java.lang.String strUniversalId,
                                         java.lang.String strUniversalIdType)

      Set the Source Location Identifier. This field contains the code identifying the source location that purchases and stocks items in addition to filling supply requests for the location specified in IVT-2, Inventory Location Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setSourceLocationIdentifier

          public void setSourceLocationIdentifier(EI objSourceLocationIdentifier)

      Set the Source Location Identifier. This field contains the code identifying the source location that purchases and stocks items in addition to filling supply requests for the location specified in IVT-2, Inventory Location Identifier.
      Parameters:
        `objSourceLocationIdentifier` - Object of Source Location Identifier

    - #### setSourceLocationName

          public void setSourceLocationName(java.lang.String strSourceLocationName)

      Set the Source Location Name. This field contains the name of the source supply location identified in IVT-4, Source Location Identifier.
      Parameters:
        `strSourceLocationName` - Used as Source Location Name.

    - #### setSourceLocationName

          public void setSourceLocationName(ST objSourceLocationName)

      Set the Source Location Name. This field contains the name of the source supply location identified in IVT-4, Source Location Identifier.
      Parameters:
        `objSourceLocationName` - Object of Source Location Name.

    - #### setItemStatus

          public void setItemStatus(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Status. This field contains the status that applies to the inventory supply item for the inventory location specified in IVT-2.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemStatus

          public void setItemStatus(CWE objItemStatus)

      Set the Item Status. This field contains the status that applies to the inventory supply item for the inventory location specified in IVT-2.
      Parameters:
        `objItemStatus` - Object of Item Status.

    - #### addBinLocationIdentifier

          public void addBinLocationIdentifier(java.lang.String strEntityIdentifier,
                                      java.lang.String strNamespaceId,
                                      java.lang.String strUniversalId,
                                      java.lang.String strUniversalIdType)

      Adds the Bin Location Identifier. A unique code assigned to a bin location located within the inventory location in IVT-2, where the inventory supply item may be stored.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### addBinLocationIdentifier

          public void addBinLocationIdentifier(EI objBinLocationIdentifier)

      Adds the Bin Location Identifier. A unique code assigned to a bin location located within the inventory location in IVT-2, where the inventory supply item may be stored.
      Parameters:
        `objBinLocationIdentifier` - Object of Bin Location Identifier

    - #### setBinLocationIdentifier

          public void setBinLocationIdentifier(ISingleCollection<EI> objBinLocationIdentifierList)

      Set the Bin Location Identifier. A unique code assigned to a bin location located within the inventory location in IVT-2, where the inventory supply item may be stored.
      Parameters:
        `objBinLocationIdentifierList` - List of Bin Location Identifier.

    - #### setOrderPackaging

          public void setOrderPackaging(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Order Packaging. This field contains the primary packaging unit by which the item can be requisitioned or ordered to replenish the inventory supply item for the corresponding inventory location specified in IVT-2.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrderPackaging

          public void setOrderPackaging(CWE objOrderPackaging)

      Set the Order Packaging. This field contains the primary packaging unit by which the item can be requisitioned or ordered to replenish the inventory supply item for the corresponding inventory location specified in IVT-2.
      Parameters:
        `objOrderPackaging` - Object of Order Packaging.

    - #### setIssuePackaging

          public void setIssuePackaging(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Issue Packaging. This field contains the primary issue packaging unit by which the inventory supply item can be issued to departments or other locations by the corresponding inventory location specified in IVT-2.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setIssuePackaging

          public void setIssuePackaging(CWE objIssuePackaging)

      Set the Issue Packaging. This field contains the primary issue packaging unit by which the inventory supply item can be issued to departments or other locations by the corresponding inventory location specified in IVT-2.
      Parameters:
        `objIssuePackaging` - Object of Issue Packaging.

    - #### setDefaultInventoryAssetAccount

          public void setDefaultInventoryAssetAccount(java.lang.String strEntityIdentifier,
                                             java.lang.String strNamespaceId,
                                             java.lang.String strUniversalId,
                                             java.lang.String strUniversalIdType)

      Set the Default Inventory Asset Account. This field contains the general ledger number for the default inventory asset account used in journal transactions associated with items stored in this inventory location.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setDefaultInventoryAssetAccount

          public void setDefaultInventoryAssetAccount(EI objDefaultInventoryAssetAccount)

      Set the Default Inventory Asset Account. This field contains the general ledger number for the default inventory asset account used in journal transactions associated with items stored in this inventory location.
      Parameters:
        `objDefaultInventoryAssetAccount` - Object of Default Inventory Asset Account

    - #### setPatientChargeableIndicator

          public void setPatientChargeableIndicator(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionID,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameOfSecondAltenateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Chargeable Indicator. This field indicates whether the item is patient chargeable at this inventory location.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setPatientChargeableIndicator

          public void setPatientChargeableIndicator(CNE objPatientChargeableIndicator)

      Set the Patient Chargeable Indicator. This field indicates whether the item is patient chargeable at this inventory location.
      Parameters:
        `objPatientChargeableIndicator` - Object of Patient Chargeable Indicator.

    - #### setTransactionCode

          public void setTransactionCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transaction Code. This field contains a code that is used by a billing system to charge for the inventory supply item, the descriptive name of the patient charge for that system (as it may appear on a patient's bill or charge labels) and the name of the coding system that assigned the charge code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransactionCode

          public void setTransactionCode(CWE objTransactionCode)

      Set the Transaction Code. This field contains a code that is used by a billing system to charge for the inventory supply item, the descriptive name of the patient charge for that system (as it may appear on a patient's bill or charge labels) and the name of the coding system that assigned the charge code.
      Parameters:
        `objTransactionCode` - Object of Transaction Code.

    - #### setTransactionAmountUnit

          public void setTransactionAmountUnit(MO objPrice,
                                      java.lang.String strPriceType,
                                      java.lang.String strFromValue,
                                      java.lang.String strToValue,
                                      CWE objRangeUnits,
                                      java.lang.String strRangeType)

      Set the Transaction Amount - Unit. The price that a department charges to a patient for this inventory supply item when using the Patient Charge Billing code present in this segment.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Specifies the "range" along with strToValue.
        `strToValue` - Specifies the "range" along with strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setTransactionAmountUnit

          public void setTransactionAmountUnit(CP objTransactionAmountUnit)

      Set the Transaction Amount - Unit. The price that a department charges to a patient for this inventory supply item when using the Patient Charge Billing code present in this segment.
      Parameters:
        `objTransactionAmountUnit` - Object of Transaction Amount - Unit

    - #### setItemImportanceCode

          public void setItemImportanceCode(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Importance Code. This field contains an indicator of the level of importance of an item considered for this inventory location, such as an indicator signifying whether the item is considered critical for this inventory location.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemImportanceCode

          public void setItemImportanceCode(CWE objItemImportanceCode)

      Set the Item Importance Code. This field contains an indicator of the level of importance of an item considered for this inventory location, such as an indicator signifying whether the item is considered critical for this inventory location.
      Parameters:
        `objItemImportanceCode` - Object of Item Importance Code.

    - #### setStockedItemIndicator

          public void setStockedItemIndicator(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionID,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameOfSecondAltenateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Stocked Item Indicator. This field contains an indicator that identifies whether the item is regularly stocked in this inventory location.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setStockedItemIndicator

          public void setStockedItemIndicator(CNE objStockedItemIndicator)

      Set the Stocked Item Indicator. This field contains an indicator that identifies whether the item is regularly stocked in this inventory location.
      Parameters:
        `objStockedItemIndicator` - Object of Stocked Item Indicator.

    - #### setConsignmentItemIndicator

          public void setConsignmentItemIndicator(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionID,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameOfSecondAltenateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consignment Item Indicator. This field contains an indicator signifying whether the inventory supply item is purchased on consignment.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setConsignmentItemIndicator

          public void setConsignmentItemIndicator(CNE objConsignmentItemIndicator)

      Set the Consignment Item Indicator. This field contains an indicator signifying whether the inventory supply item is purchased on consignment.
      Parameters:
        `objConsignmentItemIndicator` - Object of Consignment Item Indicator.

    - #### setReusableItemIndicator

          public void setReusableItemIndicator(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Reusable Item Indicator. This field contains an indicator signifying that the inventory supply item is reusable, for example, after sterilization.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setReusableItemIndicator

          public void setReusableItemIndicator(CNE objReusableItemIndicator)

      Set the Reusable Item Indicator. This field contains an indicator signifying that the inventory supply item is reusable, for example, after sterilization.
      Parameters:
        `objConsignmentItemIndicator` - Object of Reusable Item Indicator.

    - #### setReusableCost

          public void setReusableCost(MO objPrice,
                             java.lang.String strPriceType,
                             java.lang.String strFromValue,
                             java.lang.String strToValue,
                             CWE objRangeUnits,
                             java.lang.String strRangeType)

      Set the Reusable Cost. This field contains the issue cost charged to a department or patient for a reusable item.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Specifies the "range" along with strToValue.
        `strToValue` - Specifies the "range" along with strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setReusableCost

          public void setReusableCost(CP objReusableCost)

      Set the Reusable Cost. This field contains the issue cost charged to a department or patient for a reusable item.
      Parameters:
        `objReusableCost` - Object of Reusable Cost

    - #### addSubstituteItemIdentifier

          public void addSubstituteItemIdentifier(java.lang.String strEntityIdentifier,
                                         java.lang.String strNamespaceId,
                                         java.lang.String strUniversalId,
                                         java.lang.String strUniversalIdType)

      Adds the Substitute Item Identifier. The substitute item is an item that is recommended as a substitute for the corresponding item in ITM-1.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### addSubstituteItemIdentifier

          public void addSubstituteItemIdentifier(EI objSubstituteItemIdentifier)

      Adds the Substitute Item Identifier. The substitute item is an item that is recommended as a substitute for the corresponding item in ITM-1.
      Parameters:
        `objSubstituteItemIdentifier` - Object of Bin Location Identifier

    - #### setSubstituteItemIdentifier

          public void setSubstituteItemIdentifier(ISingleCollection<EI> objSubstituteItemIdentifierList)

      Set the Substitute Item Identifier. The substitute item is an item that is recommended as a substitute for the corresponding item in ITM-1.
      Parameters:
        `objSubstituteItemIdentifierList` - List of Substitute Item Identifier.

    - #### setLatexFreeSubstituteItemIdentifier

          public void setLatexFreeSubstituteItemIdentifier(java.lang.String strEntityIdentifier,
                                                  java.lang.String strNamespaceId,
                                                  java.lang.String strUniversalId,
                                                  java.lang.String strUniversalIdType)

      Set the Latex-Free Substitute Item Identifier. The latex-free substitute item is an item that is latex-free, recommended as a substitute for the corresponding item in the ITM-1 segment when a latex-free item is needed.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setLatexFreeSubstituteItemIdentifier

          public void setLatexFreeSubstituteItemIdentifier(EI objLatexFreeSubstituteItemIdentifier)

      Set the Latex-Free Substitute Item Identifier. The latex-free substitute item is an item that is latex-free, recommended as a substitute for the corresponding item in the ITM-1 segment when a latex-free item is needed.
      Parameters:
        `objLatexFreeSubstituteItemIdentifier` - Object of Latex-Free Substitute Item Identifier

    - #### setRecommendedReorderTheory

          public void setRecommendedReorderTheory(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Recommended Reorder Theory. This field contains the method used to calculate a recommendation for when and how much of an inventory supply item to reorder.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRecommendedReorderTheory

          public void setRecommendedReorderTheory(CWE objRecommendedReorderTheory)

      Set the Recommended Reorder Theory. This field contains the method used to calculate a recommendation for when and how much of an inventory supply item to reorder.
      Parameters:
        `objRecommendedReorderTheory` - Object of Recommended Reorder Theory.

    - #### setRecommendedSafetyStockDays

          public void setRecommendedSafetyStockDays(java.lang.String strRecommendedSafetyStockDays)

      Set the Recommended Safety Stock Days. This field contains the number of days for stock to be kept on-hand to cushion against a stock-out for this item.
      Parameters:
        `strRecommendedSafetyStockDays` - Use as Recommended Safety Stock Days.

    - #### setRecommendedSafetyStockDays

          public void setRecommendedSafetyStockDays(NM objRecommendedSafetyStockDays)

      Set the Recommended Safety Stock Days. This field contains the number of days for stock to be kept on-hand to cushion against a stock-out for this item.
      Parameters:
        `objRecommendedSafetyStockDays` - Use as Recommended Safety Stock Days.

    - #### setRecommendedMaximumDaysInventory

          public void setRecommendedMaximumDaysInventory(java.lang.String strRecommendedMaximumDaysInventory)

      Set the Recommended Maximum Days Inventory. This field contains the maximum number of days of inventory to have on-hand at any one point in time.
      Parameters:
        `strRecommendedMaximumDaysInventory` - Use as Recommended Maximum Days Inventory.

    - #### setRecommendedMaximumDaysInventory

          public void setRecommendedMaximumDaysInventory(NM objRecommendedMaximumDaysInventory)

      Set the Recommended Maximum Days Inventory. This field contains the maximum number of days of inventory to have on-hand at any one point in time.
      Parameters:
        `objRecommendedMaximumDaysInventory` - Use as Recommended Maximum Days Inventory.

    - #### setRecommendedOrderPoint

          public void setRecommendedOrderPoint(java.lang.String strRecommendedOrderPoint)

      Set the Recommended Order Point. This field contains the on-hand quantity referencing the recommended level of inventory at which the item should be re-ordered.
      Parameters:
        `strRecommendedOrderPoint` - Use as Recommended Order Point.

    - #### setRecommendedOrderPoint

          public void setRecommendedOrderPoint(NM objRecommendedOrderPoint)

      Set the Recommended Order Point. This field contains the on-hand quantity referencing the recommended level of inventory at which the item should be re-ordered.
      Parameters:
        `objRecommendedOrderPoint` - Use as Recommended Order Point.

    - #### setRecommendedOrderAmount

          public void setRecommendedOrderAmount(java.lang.String strRecommendedOrderAmount)

      Set the Recommended Order Amount. This field contains the quantity that the system should recommend to order when the on-hand quantity is equal to or less than the reorder point.
      Parameters:
        `strRecommendedOrderAmount` - Use as Recommended Order Amount.

    - #### setRecommendedOrderAmount

          public void setRecommendedOrderAmount(NM objRecommendedOrderAmount)

      Set the Recommended Order Amount. This field contains the quantity that the system should recommend to order when the on-hand quantity is equal to or less than the reorder point.
      Parameters:
        `objRecommendedOrderAmount` - Use as Recommended Order Amount.

    - #### setOperatingRoomParLevelIndicator

          public void setOperatingRoomParLevelIndicator(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionID,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameOfSecondAltenateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Operating Room Par Level Indicator. This field contains an indicator that determines whether on-hands inventory will be decremented when performing Preference List Issues.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setOperatingRoomParLevelIndicator

          public void setOperatingRoomParLevelIndicator(CNE objOperatingRoomParLevelIndicator)

      Set the Operating Room Par Level Indicator. This field contains an indicator that determines whether on-hands inventory will be decremented when performing Preference List Issues.
      Parameters:
        `objOperatingRoomParLevelIndicator` - Object of Operating Room Par Level Indicator.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails